aboutsummaryrefslogtreecommitdiffstats
path: root/gcc-4.9/contrib/reghunt/bin/gcc-cleanup
diff options
context:
space:
mode:
Diffstat (limited to 'gcc-4.9/contrib/reghunt/bin/gcc-cleanup')
-rwxr-xr-xgcc-4.9/contrib/reghunt/bin/gcc-cleanup20
1 files changed, 20 insertions, 0 deletions
diff --git a/gcc-4.9/contrib/reghunt/bin/gcc-cleanup b/gcc-4.9/contrib/reghunt/bin/gcc-cleanup
new file mode 100755
index 000000000..3ec1b8f05
--- /dev/null
+++ b/gcc-4.9/contrib/reghunt/bin/gcc-cleanup
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+# Clean up between regression hunts.
+
+if [ "x${REG_SRCDIR}" = "x" ]; then
+ if [ -f gcc-svn-env ]; then
+ . ./gcc-svn-env
+ elif [ -f ../gcc-svn-env ]; then
+ . ../gcc-svn-env
+ elif [ -f ${HOME}/etc/gcc-svn-env ]; then
+ . ${HOME}/etc/gcc-svn-env
+ else
+ echo "$0: could not find gcc-svn-env file"
+ exit 1
+ fi
+fi
+
+rm -rf ${REG_SRCDIR}/gcc
+rm -rf ${REG_BUILDDIR}/obj
+rm -rf ${REG_PREFIX}